### Class

# Devhelp Book

#### Description

    class Devhelp.Book : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Constructors

###### dh_book_new

No description available.

#### Instance methods

###### dh_book_cmp_by_id

Compares the `DhBook`‘s by their IDs, with g_ascii_strcasecmp().

###### dh_book_cmp_by_title

Compares the `DhBook`‘s by their title.

###### dh_book_get_completion

No description available.

since: 3.28

###### dh_book_get_id

Gets the book ID. In the Devhelp index file format version 2, it is actually the “name”, not the ID, but “book ID” is clearer, “book name” can be confused with the title.

###### dh_book_get_index_file

No description available.

###### dh_book_get_language

No description available.

###### dh_book_get_links

No description available.

###### dh_book_get_title

No description available.

###### dh_book_get_tree

Gets the general structure of the book, as a tree. The tree contains only `DhLink`‘s of type `DH_LINK_TYPE_BOOK` or `DH_LINK_TYPE_PAGE`. The other `DhLink`‘s are not contained in the tree. To have a list of <emphasis>all</emphasis> `DhLink`‘s part of the book, you need to call dh_book_get_links().

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

###### Devhelp.Book::deleted

The ::deleted signal is emitted when the index file has been deleted from the filesystem.

###### Devhelp.Book::updated

The ::updated signal is emitted when the index file has been modified (but the file still exists).

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct DevhelpBookClass {
      GObjectClass parent_class;
      gpointer padding;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`padding: gpointer`

  No description available.